package com.google.code.facebookapi;

@SuppressWarnings("unchecked")
public class FacebookJaxbRestClient extends FacebookJaxbRestClientBase {

    public FacebookJaxbRestClient( com.google.code.facebookapi.ExtensibleClient client )  {
        super( client );
    }

    public FacebookJaxbRestClient( java.lang.String apiKey, java.lang.String secret )  {
        super( apiKey, secret );
    }

    public FacebookJaxbRestClient( java.lang.String apiKey, java.lang.String secret, java.lang.String sessionKey )  {
        super( apiKey, secret, sessionKey );
    }

    public FacebookJaxbRestClient( java.lang.String apiKey, java.lang.String secret, java.lang.String sessionKey, boolean sessionSecret )  {
        super( apiKey, secret, sessionKey, sessionSecret );
    }

    @Deprecated
    public Object profile_getFBML(  ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.profile_getFBML(  );
        return (Object)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.FriendsGetAppUsersResponse friends_getAppUsers(  ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.friends_getAppUsers(  );
        return (com.google.code.facebookapi.schema.FriendsGetAppUsersResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.Photo photos_upload( java.io.File photo, java.lang.String caption, java.lang.String albumId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_upload( photo, caption, albumId );
        return (com.google.code.facebookapi.schema.Photo)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.FbmlGetCustomTagsResponse fbml_getCustomTags( java.lang.String appId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.fbml_getCustomTags( appId );
        return (com.google.code.facebookapi.schema.FbmlGetCustomTagsResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.EventMembers events_getMembers( java.lang.Long eventId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.events_getMembers( eventId );
        return (com.google.code.facebookapi.schema.EventMembers)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.Album photos_createAlbum( java.lang.String name, java.lang.String description, java.lang.String location ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_createAlbum( name, description, location );
        return (com.google.code.facebookapi.schema.Album)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.PhotosGetResponse photos_get( java.lang.Long subjId, java.lang.String albumId, java.util.Collection<java.lang.String> photoIds ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_get( subjId, albumId, photoIds );
        return (com.google.code.facebookapi.schema.PhotosGetResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.UsersGetStandardInfoResponse users_getStandardInfo( java.util.Collection<java.lang.Long> userIds, java.util.Collection<com.google.code.facebookapi.ProfileField> fields ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.users_getStandardInfo( userIds, fields );
        return (com.google.code.facebookapi.schema.UsersGetStandardInfoResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.AdminGetMetricsResponse admin_getMetrics( java.util.Set<com.google.code.facebookapi.Metric> metrics, java.util.Date start, java.util.Date end, long period ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.admin_getMetrics( metrics, start, end, period );
        return (com.google.code.facebookapi.schema.AdminGetMetricsResponse)parseCallResult( rawResponse );
    }

    public java.util.List<java.lang.String> permissions_checkGrantedApiAccess( java.lang.String apiKey ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.permissions_checkGrantedApiAccess( apiKey );
        return (java.util.List<java.lang.String>)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.AdminGetMetricsResponse admin_getMetrics( java.util.Set<com.google.code.facebookapi.Metric> metrics, long start, long end, long period ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.admin_getMetrics( metrics, start, end, period );
        return (com.google.code.facebookapi.schema.AdminGetMetricsResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.FriendsGetListsResponse friends_getList( java.lang.Long friendListId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.friends_getList( friendListId );
        return (com.google.code.facebookapi.schema.FriendsGetListsResponse)parseCallResult( rawResponse );
    }

    public Object groups_getMembers( java.lang.Number groupId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.groups_getMembers( groupId );
        return (Object)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.AssociationInfo data_getAssociationDefinition( java.lang.String associationName ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.data_getAssociationDefinition( associationName );
        return (com.google.code.facebookapi.AssociationInfo)parseCallResult( rawResponse );
    }

    public java.util.List<com.google.code.facebookapi.schema.Photo> photos_getByAlbum( java.lang.String albumId, java.util.Collection<java.lang.String> photoIds ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_getByAlbum( albumId, photoIds );
        return (java.util.List<com.google.code.facebookapi.schema.Photo>)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.PhotosGetResponse photos_get( java.lang.Long subjId, java.util.Collection<java.lang.String> photoIds ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_get( subjId, photoIds );
        return (com.google.code.facebookapi.schema.PhotosGetResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.BatchRunResponse batch_run( java.lang.String methods, boolean serial ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.batch_run( methods, serial );
        return (com.google.code.facebookapi.schema.BatchRunResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.ConnectRegisterUsersResponse connect_registerUsers( java.util.Collection<java.util.Map<java.lang.String,java.lang.String>> accounts ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.connect_registerUsers( accounts );
        return (com.google.code.facebookapi.schema.ConnectRegisterUsersResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.PhotosGetTagsResponse photos_getTags( java.util.Collection<java.lang.String> photoIds ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_getTags( photoIds );
        return (com.google.code.facebookapi.schema.PhotosGetTagsResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.DataGetCookiesResponse data_getCookies( java.lang.Long userId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.data_getCookies( userId );
        return (com.google.code.facebookapi.schema.DataGetCookiesResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.Photo photos_uploadWithCaption( java.lang.Long userId, java.io.File photo, java.lang.String caption ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_uploadWithCaption( userId, photo, caption );
        return (com.google.code.facebookapi.schema.Photo)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.Photo photos_uploadToAlbum( java.lang.Long userId, java.io.File photo, java.lang.String albumId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_uploadToAlbum( userId, photo, albumId );
        return (com.google.code.facebookapi.schema.Photo)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.DataGetAssociationDefinitionsResponse data_getAssociationDefinitions(  ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.data_getAssociationDefinitions(  );
        return (com.google.code.facebookapi.schema.DataGetAssociationDefinitionsResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.PagesGetInfoResponse pages_getInfo( java.util.Collection<java.lang.Long> pageIds, java.util.Set<java.lang.CharSequence> fields ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.pages_getInfo( pageIds, fields );
        return (com.google.code.facebookapi.schema.PagesGetInfoResponse)parseCallResult( rawResponse );
    }

    @Deprecated
    public Object notifications_get(  ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.notifications_get(  );
        return (Object)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.DataGetObjectTypesResponse data_getObjectTypes(  ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.data_getObjectTypes(  );
        return (com.google.code.facebookapi.schema.DataGetObjectTypesResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.PagesGetInfoResponse pages_getInfo( java.lang.Long userId, java.util.Set<java.lang.CharSequence> fields ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.pages_getInfo( userId, fields );
        return (com.google.code.facebookapi.schema.PagesGetInfoResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.PhotosGetAlbumsResponse photos_getAlbums( java.lang.Long userId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_getAlbums( userId );
        return (com.google.code.facebookapi.schema.PhotosGetAlbumsResponse)parseCallResult( rawResponse );
    }

    @Deprecated
    public Object profile_getInfoOptions( java.lang.String field ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.profile_getInfoOptions( field );
        return (Object)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.PhotosGetResponse photos_get( java.lang.Long subjId, java.lang.String albumId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_get( subjId, albumId );
        return (com.google.code.facebookapi.schema.PhotosGetResponse)parseCallResult( rawResponse );
    }

    public java.util.List<java.lang.Boolean> photos_addTags( java.lang.String photoId, java.util.Collection<com.google.code.facebookapi.PhotoTag> tags ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_addTags( photoId, tags );
        return (java.util.List<java.lang.Boolean>)parseCallResult( rawResponse );
    }

    @Deprecated
    public Object profile_getFBML( int type ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.profile_getFBML( type );
        return (Object)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.AppInfo application_getPublicInfo( java.lang.Long applicationId, java.lang.String applicationKey, java.lang.String applicationCanvas ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.application_getPublicInfo( applicationId, applicationKey, applicationCanvas );
        return (com.google.code.facebookapi.schema.AppInfo)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.DataGetCookiesResponse data_getCookies( java.lang.Long userId, java.lang.CharSequence name ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.data_getCookies( userId, name );
        return (com.google.code.facebookapi.schema.DataGetCookiesResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.PhotosGetAlbumsResponse photos_getAlbums( java.lang.Long userId, java.util.Collection<java.lang.String> albumIds ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_getAlbums( userId, albumIds );
        return (com.google.code.facebookapi.schema.PhotosGetAlbumsResponse)parseCallResult( rawResponse );
    }

    @Deprecated
    public Object profile_getFBML( java.lang.Long userId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.profile_getFBML( userId );
        return (Object)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.GroupsGetResponse groups_get( java.lang.Long userId, java.util.Collection<java.lang.Long> groupIds ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.groups_get( userId, groupIds );
        return (com.google.code.facebookapi.schema.GroupsGetResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.Photo photos_upload( java.io.File photo ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_upload( photo );
        return (com.google.code.facebookapi.schema.Photo)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.EventsGetResponse events_get( java.lang.Long userId, java.util.Collection<java.lang.Long> eventIds, java.lang.Long startTime, java.lang.Long endTime, java.lang.String rsvp_status ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.events_get( userId, eventIds, startTime, endTime, rsvp_status );
        return (com.google.code.facebookapi.schema.EventsGetResponse)parseCallResult( rawResponse );
    }

    @Deprecated
    public Object admin_getDailyMetrics( java.util.Set<com.google.code.facebookapi.Metric> metrics, long start, long end ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.admin_getDailyMetrics( metrics, start, end );
        return (Object)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.Photo photos_upload( java.lang.Long userId, java.lang.String caption, java.lang.String albumId, java.lang.String fileName, java.io.InputStream fileStream ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_upload( userId, caption, albumId, fileName, fileStream );
        return (com.google.code.facebookapi.schema.Photo)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.AppInfo application_getPublicInfoById( java.lang.Long applicationId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.application_getPublicInfoById( applicationId );
        return (com.google.code.facebookapi.schema.AppInfo)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.Photo photos_upload( java.lang.Long userId, java.io.File photo ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_upload( userId, photo );
        return (com.google.code.facebookapi.schema.Photo)parseCallResult( rawResponse );
    }

    public Object fql_query( java.lang.CharSequence query ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.fql_query( query );
        return (Object)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.StreamData stream_get( java.lang.Long viewerId, java.util.List<java.lang.Long> sourceIds, java.util.Date start, java.util.Date end, java.lang.Integer limit, java.lang.String filterKey, java.util.List<java.lang.String> metadata ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.stream_get( viewerId, sourceIds, start, end, limit, filterKey, metadata );
        return (com.google.code.facebookapi.schema.StreamData)parseCallResult( rawResponse );
    }

    public Object data_getUserPreferences(  ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.data_getUserPreferences(  );
        return (Object)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.PagesGetInfoResponse pages_getInfo( java.lang.Long userId, java.util.Collection<com.google.code.facebookapi.PageProfileField> fields ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.pages_getInfo( userId, fields );
        return (com.google.code.facebookapi.schema.PagesGetInfoResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.StreamGetFiltersResponse stream_getFilters( java.lang.Long userId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.stream_getFilters( userId );
        return (com.google.code.facebookapi.schema.StreamGetFiltersResponse)parseCallResult( rawResponse );
    }

    @Deprecated
    public Object profile_getFBML( int type, java.lang.Long userId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.profile_getFBML( type, userId );
        return (Object)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.DataGetObjectTypeResponse data_getObjectType( java.lang.String objectType ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.data_getObjectType( objectType );
        return (com.google.code.facebookapi.schema.DataGetObjectTypeResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.PhotosGetResponse photos_get( java.lang.Long subjId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_get( subjId );
        return (com.google.code.facebookapi.schema.PhotosGetResponse)parseCallResult( rawResponse );
    }

    public java.util.List<com.google.code.facebookapi.schema.Photo> photos_getByAlbum( java.lang.String albumId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_getByAlbum( albumId );
        return (java.util.List<com.google.code.facebookapi.schema.Photo>)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.StreamGetCommentsResponse stream_getComments( java.lang.String postId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.stream_getComments( postId );
        return (com.google.code.facebookapi.schema.StreamGetCommentsResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.PhotosGetAlbumsResponse photos_getAlbums( java.util.Collection<java.lang.String> albumIds ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_getAlbums( albumIds );
        return (com.google.code.facebookapi.schema.PhotosGetAlbumsResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.Photo photos_uploadWithCaption( java.io.File photo, java.lang.String caption ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_uploadWithCaption( photo, caption );
        return (com.google.code.facebookapi.schema.Photo)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.Photo photos_upload( java.lang.Long userId, java.io.File photo, java.lang.String caption, java.lang.String albumId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_upload( userId, photo, caption, albumId );
        return (com.google.code.facebookapi.schema.Photo)parseCallResult( rawResponse );
    }

    @Deprecated
    public Object admin_getDailyMetrics( java.util.Set<com.google.code.facebookapi.Metric> metrics, java.util.Date start, java.util.Date end ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.admin_getDailyMetrics( metrics, start, end );
        return (Object)parseCallResult( rawResponse );
    }

    @Deprecated
    public Object feed_getRegisteredTemplateBundles(  ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.feed_getRegisteredTemplateBundles(  );
        return (Object)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.EventsGetResponse events_get( java.lang.Long userId, java.util.Collection<java.lang.Long> eventIds, java.lang.Long startTime, java.lang.Long endTime ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.events_get( userId, eventIds, startTime, endTime );
        return (com.google.code.facebookapi.schema.EventsGetResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.DataGetCookiesResponse data_getCookies( java.lang.String name ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.data_getCookies( name );
        return (com.google.code.facebookapi.schema.DataGetCookiesResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.DataGetCookiesResponse data_getCookies(  ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.data_getCookies(  );
        return (com.google.code.facebookapi.schema.DataGetCookiesResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.UsersGetStandardInfoResponse users_getStandardInfo( java.util.Collection<java.lang.Long> userIds, java.util.Set<java.lang.CharSequence> fields ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.users_getStandardInfo( userIds, fields );
        return (com.google.code.facebookapi.schema.UsersGetStandardInfoResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.FriendsGetResponse friends_get( java.lang.Long uid ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.friends_get( uid );
        return (com.google.code.facebookapi.schema.FriendsGetResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.UsersGetInfoResponse users_getInfo( java.lang.Iterable<java.lang.Long> userIds, java.util.Set<java.lang.CharSequence> fields ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.users_getInfo( userIds, fields );
        return (com.google.code.facebookapi.schema.UsersGetInfoResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.UsersGetInfoResponse users_getInfo( java.lang.Iterable<java.lang.Long> userIds, java.util.Collection<com.google.code.facebookapi.ProfileField> fields ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.users_getInfo( userIds, fields );
        return (com.google.code.facebookapi.schema.UsersGetInfoResponse)parseCallResult( rawResponse );
    }

    @Deprecated
    public Object feed_getRegisteredTemplateBundleByID( java.lang.Long id ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.feed_getRegisteredTemplateBundleByID( id );
        return (Object)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.Album photos_createAlbum( java.lang.String name, java.lang.String description, java.lang.String location, java.lang.Long userId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_createAlbum( name, description, location, userId );
        return (com.google.code.facebookapi.schema.Album)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.FriendsGetListsResponse friends_getLists(  ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.friends_getLists(  );
        return (com.google.code.facebookapi.schema.FriendsGetListsResponse)parseCallResult( rawResponse );
    }

    @Deprecated
    public Object profile_getInfo( java.lang.Long userId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.profile_getInfo( userId );
        return (Object)parseCallResult( rawResponse );
    }

    public java.util.List<java.lang.String> permissions_checkAvailableApiAccess( java.lang.String apiKey ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.permissions_checkAvailableApiAccess( apiKey );
        return (java.util.List<java.lang.String>)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.DataGetObjectsResponse data_getObjects( java.util.Collection<java.lang.Long> objectIds ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.data_getObjects( objectIds );
        return (com.google.code.facebookapi.schema.DataGetObjectsResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.AppInfo application_getPublicInfoByCanvasName( java.lang.String applicationCanvas ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.application_getPublicInfoByCanvasName( applicationCanvas );
        return (com.google.code.facebookapi.schema.AppInfo)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.Album photos_createAlbum( java.lang.String albumName, java.lang.Long userId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_createAlbum( albumName, userId );
        return (com.google.code.facebookapi.schema.Album)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.FriendsAreFriendsResponse friends_areFriends( java.util.Collection<java.lang.Long> userIds1, java.util.Collection<java.lang.Long> userIds2 ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.friends_areFriends( userIds1, userIds2 );
        return (com.google.code.facebookapi.schema.FriendsAreFriendsResponse)parseCallResult( rawResponse );
    }

    public java.lang.String data_getObjectProperty( long objectId, java.lang.String propertyName ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.data_getObjectProperty( objectId, propertyName );
        return (java.lang.String)parseCallResult( rawResponse );
    }

    public Object data_getObject( long objectId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.data_getObject( objectId );
        return (Object)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.Photo photos_uploadToAlbum( java.io.File photo, java.lang.String albumId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_uploadToAlbum( photo, albumId );
        return (com.google.code.facebookapi.schema.Photo)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.Album photos_createAlbum( java.lang.String albumName ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_createAlbum( albumName );
        return (com.google.code.facebookapi.schema.Album)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.ConnectUnregisterUsersResponse connect_unregisterUsers( java.util.Collection<java.lang.String> email_hashes ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.connect_unregisterUsers( email_hashes );
        return (com.google.code.facebookapi.schema.ConnectUnregisterUsersResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.PagesGetInfoResponse pages_getInfo( java.util.Collection<java.lang.Long> pageIds, java.util.Collection<com.google.code.facebookapi.PageProfileField> fields ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.pages_getInfo( pageIds, fields );
        return (com.google.code.facebookapi.schema.PagesGetInfoResponse)parseCallResult( rawResponse );
    }

    public Object photos_addTags( java.lang.String photoId, java.util.Collection<com.google.code.facebookapi.PhotoTag> tags, java.lang.Long userId ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_addTags( photoId, tags, userId );
        return (Object)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.PhotosGetResponse photos_get( java.util.Collection<java.lang.String> photoIds ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.photos_get( photoIds );
        return (com.google.code.facebookapi.schema.PhotosGetResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.FriendsAreFriendsResponse friends_areFriends( long userId1, long userId2 ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.friends_areFriends( userId1, userId2 );
        return (com.google.code.facebookapi.schema.FriendsAreFriendsResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.FriendsGetResponse friends_get(  ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.friends_get(  );
        return (com.google.code.facebookapi.schema.FriendsGetResponse)parseCallResult( rawResponse );
    }

    public com.google.code.facebookapi.schema.AppInfo application_getPublicInfoByApiKey( java.lang.String applicationKey ) throws com.google.code.facebookapi.FacebookException {
        Object rawResponse = client.application_getPublicInfoByApiKey( applicationKey );
        return (com.google.code.facebookapi.schema.AppInfo)parseCallResult( rawResponse );
    }

}
